import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CronJobLogSelectObjectSchema as CronJobLogSelectObjectSchema } from './CronJobLogSelect.schema'

const makeSchema = () => z.object({
  select: z.lazy(() => CronJobLogSelectObjectSchema).optional()
}).strict();
export const CronJobLogArgsObjectSchema = makeSchema();
export const CronJobLogArgsObjectZodSchema = makeSchema();
